image: androidsdk/android-31

stages:
    - build
    - deploy

build_app:
    stage: build
    script:
       - cat version.gradle
       - chmod +x gradlew 
       - ./gradlew 
    only:
    - merge_requests
    - main

deploy_to_Github:
    stage: deploy
    script:
      - git config --global user.email "maksim_r_g601@mail.ru"
      - git config --global user.name "saltedcucumber"
      - git add .
      - git checkout  main
#      - git commit -m "Initial commit"
#      #- git commit -m "first commit"
#      - git branch -M main
#      - git remote add github_origin https://github.com/saltedcucumber/Test-CI.git
      - git push -f github_origin 
